crashpad::Thread Class Referenceabstract

Basic thread abstraction. Users should derive from this class and implement ThreadMain(). More...

`#include "util/thread/thread.h"`

Inheritance diagram for crashpad::Thread:

## Public Member Functions

void | Start ()
| Create a platform thread, and run ThreadMain() on that thread. Must be paired with a call to Join().
void | Join ()
| Block until ThreadMain() exits. This may be called from any thread. Must paired with a call to Start().

## Detailed Description

Basic thread abstraction. Users should derive from this class and implement ThreadMain().

The documentation for this class was generated from the following files:

- util/thread/thread.h
- util/thread/thread.cc
- util/thread/thread_posix.cc
- util/thread/thread_win.cc